<?php

namespace Drupal\resourcespace_integration\Form;

use Drupal\Core\Form\FormBase;
use Drupal\Core\Form\FormStateInterface;

class ResourceSpaceFilterForm extends FormBase {

  /**
   * {@inheritdoc}
   */
  public function getFormId() {
    return 'resourcespace_filter_form';
  }

  /**
   * {@inheritdoc}
   */
  public function buildForm(array $form, FormStateInterface $form_state) {
    // Add a container for the inline form.
    $form['#attributes']['class'][] = 'inline-filter-form';
    $form['#attached']['library'][] = 'resourcespace_integration/inline_filter_form';


    // Filter fields.
    $form['name'] = [
      '#type' => 'textfield',
      '#title' => $this->t('Name'),
      '#title_display' => 'invisible', // Hide the label for inline display.
      '#default_value' => $form_state->getValue('name', ''),
      '#attributes' => ['placeholder' => $this->t('Name')],
      '#prefix' => '<div class="inline-filter-item">',
      '#suffix' => '</div>',
    ];

    // Submit button.
    $form['actions'] = [
      '#type' => 'actions',
      '#prefix' => '<div class="inline-filter-item">',
      '#suffix' => '</div>',
    ];
    $form['actions']['submit'] = [
      '#type' => 'submit',
      '#value' => $this->t('Filter'),
      '#attributes' => ['class' => ['inline-filter-submit']],
    ];
    
    return $form;
  }

  /**
   * {@inheritdoc}
   */
  public function submitForm(array &$form, FormStateInterface $form_state) {
    $values = $form_state->getValues();
    // Store filter values for the table query.
    \Drupal::service('tempstore.private')->get('resourcespace_integration')->set('filters', $values);
  }
}
